Modify

Opened 4 years ago

Closed 4 years ago

#14265 closed defect (duplicate)

MIPS16 and GCC 4.8

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc: nbd@…

Description

I configured openwrt to use GCC 4.8 as I need some C++11 features for my own packages.

Openwrt boost packages stopped building from r37931 to r37932 (discovered after a lengthly bisection ...) where MIPS16 was enabled but for GCC 4.6. Felix noted that shall work for GCC 4.8

I need to disable MIPS16 so that the boost packages build when GCC 4.8 is selected.

See the patch attached.

Attachments (0)

Change History (3)

comment:1 Changed 4 years ago by ppvazquezfer@…

Do boost packages build successfully without enabling MIPS16?

comment:2 Changed 4 years ago by anonymous

Yes, they do.
When I add

depends on !GCC_VERSION_4_8

to Config.in
boost packages build successfully.

comment:3 Changed 4 years ago by acoul

  • Resolution set to duplicate
  • Status changed from new to closed

duplicate of #14264

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.